SolrQuery::setOmitHeader
SolrQuery::setRows
SolrQuery
PHP Manual

# SolrQuery::setQuery

(PECL solr >= 0.9.2)

SolrQuery::setQuery — Sets the search query

### Description

public SolrQuery SolrQuery::setQuery ( string `$query` )

Sets the search query.

### Parameters

`query`

  The search query

### Return Values

Returns the current SolrQuery object

SolrQuery::setOmitHeader
SolrQuery::setRows
SolrQuery
PHP Manual